### Function

# Qmi MessageWdsGetProfileSettingsInput new

since: 1.8

#### Declaration [src]

    QmiMessageWdsGetProfileSettingsInput*
    qmi_message_wds_get_profile_settings_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageWdsGetProfileSettingsInput`.

Available since: 1.8

#### Return value

Type: `QmiMessageWdsGetProfileSettingsInput`

The newly created `QmiMessageWdsGetProfileSettingsInput`. The returned value should be freed with qmi_message_wds_get_profile_settings_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.